/*  */
function mode_feedpage_detail(path, sval, mode, act, ERI, exec, qwe, sor, ldiv, mtype, mutp) {
	var url = path+'core/cw5e_engine_detail.php?sid='+sval+'&parent='+EncodeURLutf8(path)+'&mode='+mode+'&act='+act+'&ERI='+ERI+
			  '&num='+(($('#result_num_'+mtype).length > 0) ? $('#result_num_'+mtype).val() : '0');
	var data = "exec="+((exec) ? EncodeURLutf8(exec) : "")+
			  "&qwe="+((qwe) ? EncodeURLutf8(qwe) : "")+
			  "&sor="+((sor) ? EncodeURLutf8(sor) : "")+
			  "&itms=";
	var mdir = '';
	switch (mutp) {
		case 'R': mdir = 'manage'; break;
		case 'B':
		default: mdir = 'modules'; break;
	}
	$.post(url, data, function(msg) {
		// console.log(msg);
		var ret_msg = JSON.parse(msg);
		if (ret_msg[0].result == "false") {
			alert(ret_msg[0].message);
			return false;
		} else {
			if (ret_msg[0].rnum) $('#result_num_'+mtype).val(ret_msg[0].rnum);
			if (ret_msg[0].ERI) post_redirect(ldiv, data, path+mdir+'/'+mode+'/detail.php?sid='+sval+'&parent='+EncodeURLutf8(path)+'&mode='+mode+'&mutp='+mutp+'&act=view&ERI='+ret_msg[0].ERI);
		}
	});
}